Company logoTrust Center Documentation
API v1 ReferenceIntegrationsGoogle docsExport

Export Google Drive document

Exports a Google Doc or uploads a compatible Drive file into tenant storage. Document must be present in the authorized files allowlist. Emits eventName…

Exports a Google Doc or uploads a compatible Drive file into tenant storage. Document must be present in the authorized files allowlist. Emits eventName integrations.google_docs.export and failureEventName integrations.google_docs.export_failed.

POST
/api/v1/integrations/google-docs/export

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/google-docs/export" \  -H "Content-Type: application/json" \  -d '{    "documentId": "string"  }'
{
  "success": true,
  "data": {
    "file": {}
  }
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty
{
  "success": false,
  "code": "file_not_authorized",
  "error": "string",
  "data": {
    "integrationUrl": "/integrations"
  }
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty

How is this guide?